> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/ja/rissu/api-docs/vector-store.md).

# ベクターストアAPI

ベクトルストアAPIを使用すると、Rememberizerでベクトルストアを作成、管理、検索できます。ベクトルストアは、意味的類似性検索を使用して文書を保存および取得することを可能にします。

## 利用可能なベクトルストアエンドポイント

### 管理エンドポイント

* [ベクターストアの情報を取得する](/ja/rissu/api-docs/vector-store/get-vector-stores-information.md)
* [ベクターストア内のドキュメントのリストを取得する](/ja/rissu/api-docs/vector-store/get-a-list-of-documents-in-a-vector-store.md)
* [ドキュメントの情報を取得する](/ja/rissu/api-docs/vector-store/get-the-information-of-a-document.md)

### ドキュメント操作

* [ベクトルストアに新しいテキストドキュメントを追加](/ja/rissu/api-docs/vector-store/add-new-text-document-to-a-vector-store.md)
* [ファイルをベクトルストアにアップロード](/ja/rissu/api-docs/vector-store/upload-files-to-a-vector-store.md)
* [ベクトルストアのファイル内容を更新](/ja/rissu/api-docs/vector-store/update-files-content-in-a-vector-store.md)
* [ベクトルストアからドキュメントを削除](/ja/rissu/api-docs/vector-store/remove-a-document-in-vector-store.md)

### 検索操作

* [セマンティック類似性によるベクトルストアドキュメントの検索](/ja/rissu/api-docs/vector-store/search-for-vector-store-documents-by-semantic-similarity.md)

## ベクターストアの作成

新しいベクターストアを作成するには、次のエンドポイントを使用します：

```
POST /api/v1/vector-stores/
```

### リクエストボディ

```json
{
  "name": "ストア名",
  "description": "ストアの説明",
  "embedding_model": "sentence-transformers/all-mpnet-base-v2",
  "indexing_algorithm": "ivfflat",
  "vector_dimension": 128,
  "search_metric": "cosine_distance"
}
```

### レスポンス

```json
{
  "id": "store_id",
  "name": "ベクターストア名",
  "description": "ストアの説明",
  "created": "2023-05-01T00:00:00Z",
  "modified": "2023-05-01T00:00:00Z"
}
```

## ベクトルストアの設定

利用可能なベクトルストアの設定を取得するには、次のようにします：

```
GET /api/v1/vector-stores/configs
```

これにより、ベクトルストアを作成または設定する際に使用できる埋め込みモデル、インデックス作成アルゴリズム、および検索メトリックが返されます。

## 認証

すべてのベクターストアエンドポイントは、次のいずれかを使用して認証を必要とします：

* 管理操作のためのJWTトークン
* ドキュメントおよび検索操作のためのAPIキー


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/ja/rissu/api-docs/vector-store.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
